Bug 399307 - Variant of drive-harddisk that indicates "I'm the disk for the operating system/the root partition"
Summary: Variant of drive-harddisk that indicates "I'm the disk for the operating syst...
Status: RESOLVED FIXED
Alias: None
Product: Breeze
Classification: Unclassified
Component: Icons (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: visual-design
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2018-10-02 13:15 UTC by Nate Graham
Modified: 2018-11-03 22:37 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.53


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2018-10-02 13:15:48 UTC
Now that we have an awesome new drive-harddisk icon, we need a variant of it that indicates "I'm the disk for the operating system/the root partition". Some kind of symbol in the center on that big blank area could work. Perhaps the Plasma or K-with-a-gear logo? A computer? A slash? Something else?
Comment 1 Stefan Brüns 2018-10-03 23:51:17 UTC
(In reply to Nate Graham from comment #0)
> Now that we have an awesome new drive-harddisk icon, we need a variant of it
> that indicates "I'm the disk for the operating system/the root partition".
> Some kind of symbol in the center on that big blank area could work. Perhaps
> the Plasma or K-with-a-gear logo? A computer? A slash? Something else?

What about other partitions? I think "/home" is the most common separate partition which can be found ...
Comment 2 Nate Graham 2018-10-03 23:55:47 UTC
Yeah, I rather like the idea of a little home icon on a disk to signify the home partition, if available.

This particular "root disk" icon request unlocks our ability to remove the "Root" item from Places panels, since the concern there was that we wanted to make sure people had an easy way to access / even if they have a bunch of disks; you'd want to be able to easily pick out the one that corresponds to /  .
Comment 3 Nate Graham 2018-10-06 03:00:34 UTC
And the root disk icon should be named `drive-harddisk-root`. An icon for a home directory volume should be named `drive-harddisk-home`.
Comment 4 Nate Graham 2018-10-29 20:00:13 UTC
preferences-desktop-crypto shows an example of what we need here (that icon also needs to be re-done to reflect the new hard disk style that you came up with).
Comment 5 Nate Graham 2018-11-03 22:35:42 UTC
Git commit 67312861ffa3af63d44d9256a2e259cbc4a5162f by Nate Graham, on behalf of Noah Davis.
Committed on 03/11/2018 at 22:29.
Pushed by ngraham into branch 'master'.

Add root version of drive-harddisk

Summary:
T8349
I did not add `drive-harddisk-home` in this commit because it was simply too difficult to make an easily readable symbol for home on the 16px version.

Test Plan: {F6387968, size=full}

Reviewers: #vdg, ngraham

Reviewed By: #vdg, ngraham

Subscribers: ngraham, kde-frameworks-devel

Tags: #frameworks

Differential Revision: https://phabricator.kde.org/D16633

A  +13   -0    icons-dark/devices/16/drive-harddisk-root.svg
A  +13   -0    icons-dark/devices/22/drive-harddisk-root.svg
A  +1    -0    icons-dark/devices/64/drive-harddisk-root.svg
A  +13   -0    icons/devices/16/drive-harddisk-root.svg
A  +13   -0    icons/devices/22/drive-harddisk-root.svg
A  +1    -0    icons/devices/64/drive-harddisk-root.svg

https://commits.kde.org/breeze-icons/67312861ffa3af63d44d9256a2e259cbc4a5162f